Note : Before you proceed with the following instructions, back up the database. If your organization integrates multiple Blackbaud products, refer to the Additional Requirements section of the backup article.

If installing WebPortal for the first time, then please refer to the WebPortal Installation Guide (PDF) for step-by-step instructions, including screen shots and installation options.

If updating WebPortal, download the latest version to your web server and extract the contents of the downloaded file to a temporary folder on your web server.  Open the temporary folder and run setup.exe to begin the update process. 

Installation Considerations:

  • Verify Internet Information Server (IIS) is installed and configured prior to installing WebPortal.
  • If you are installing on Windows Server 2008 R2, then enable .NET Framework 3.5.1 Features.  For instructions on how to enable this feature, see Knowledgebase Article 50258
  • If you are installing on Windows Server 2012 or Windows Server 2012 R2, then enable .NET Framework 3.5 Features.  For instructions on how to enable this feature, see Knowledgebase Article 72247
  • Log in as a Local Administrator.
  • Verify the names of The Financial Edge database engine and alias.
  • For large networks and those with multiple Blackbaud databases, separate Web and database servers are required. Using WebInvoicing or WebPurchasing can significantly increase the workload on your web server. For small networks, separate Web and database servers are not required. Refer to the The Financial Edge System Requirements for more information.
  • If your database includes NetClassroom, then we recommend you not run WebPortal on the same server as NetClassroom but instead on a separate web server. (Knowledgebase Article 38638).
  • The Financial Edge version 7.77.245 or higher must be installed to use WebPurchasing and The Financial Edge version 7.78.687 or higher must be installed to use WebInvoicing. 
  • Ensure that WebPortal and The Financial Edge are on the latest version of both software applications.  For example, if you are using version 7.86.93, then you must use version 7.86.69 of WebPortal.  If you are using version 7.87.164 of The Financial Edge, then you must use version 7.86.69 of WebPortal.